import {MeterbusLibUtils} from './utils'

import * as mocha from 'mocha'
import * as chai from 'chai'

const expect = chai.expect


describe('The Meterbus Library Utils', () => {
    it('should convert a bcd to a number (10203)', () => {
        expect(MeterbusLibUtils.bcd([1, 2, 3])).to.equal(10203)
    })
    it('should convert a bcd to a number (0010203)', () => {
        expect(MeterbusLibUtils.bcd([0, 1, 2, 3])).to.equal(10203)
    })
    it('should convert a bcd to a number (0)', () => {
        expect(MeterbusLibUtils.bcd([0, 0, 0])).to.equal(0)
    })
    it('should convert a bcd to a number (0)', () => {
        expect(MeterbusLibUtils.bcd([0, 0, 0, 0])).to.equal(0)
    })
    it('should convert a bcd to a number (99999999)', () => {
        expect(MeterbusLibUtils.bcd([0x99, 0x99, 0x99, 0x99])).to.equal(99999999)
    })
})
